<?php
/**
 * Created by PhpStorm.
 * User: jderosa
 * Date: 21/02/20
 * Time: 11.57
 */

namespace FiloBlu\Rma\Setup;


use Magento\Framework\Setup\UpgradeSchemaInterface;
use Magento\Framework\Setup\ModuleContextInterface;
use Magento\Framework\Setup\SchemaSetupInterface;

class UpgradeSchema implements UpgradeSchemaInterface
{


    public function upgrade( SchemaSetupInterface $setup, ModuleContextInterface $context ) {


        if ($setup->tableExists(\FiloBlu\Rma\Api\RmaExtensionAttributesRepositoryInterface::TABLE_NAME)) {
            return;
        }
        $setup->startSetup();
        $table =   $setup->getConnection()
            ->newTable($setup->getConnection()->getTableName(\FiloBlu\Rma\Api\RmaExtensionAttributesRepositoryInterface::TABLE_NAME))
            ->addColumn(
                'id',
                \Magento\Framework\DB\Ddl\Table::TYPE_INTEGER,
                null,
                ['identity' => true, 'unsigned' => true, 'nullable' => false, 'primary' => true],
                'id')
            ->addColumn('rma_item_id',
                \Magento\Framework\DB\Ddl\Table::TYPE_INTEGER,
                null,
                ['unsigned' => true, 'nullable' => false],
                'rma_entity_id')
            ->addColumn('order_id',
                \Magento\Framework\DB\Ddl\Table::TYPE_INTEGER,
                null,
                ['unsigned' => true, 'nullable' => false],
                'order_id');
        $setup->getConnection()->createTable($table);
        $setup->endSetup();
    }

}